java.lang.IncompatibleClassChangeError

Class com.google.gson.FieldNamingPolicy$1 does not implement the requested interface com.google.gson.d

Samebug tips0

We couldn't find tips for this exception.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web1

Stack trace

  • java.lang.IncompatibleClassChangeError: Class com.google.gson.FieldNamingPolicy$1 does not implement the requested interface com.google.gson.d at com.google.gson.rb.a(Unknown Source)[?:?] at com.google.gson.rb.a(Unknown Source)[?:?] at com.google.gson.rb.a(Unknown Source)[?:?] at com.google.gson.rb.a(Unknown Source)[?:?] at com.google.gson.e.a(Unknown Source)[?:?] at com.google.gson.e.a(Unknown Source)[?:?] at com.google.gson.e.a(Unknown Source)[?:?] at com.minelazz.epicworldgenerator.nativeAPI.implementations.v1_9_R1.NMSImplementation.a(Unknown Source)[?:?] at com.minelazz.epicworldgenerator.EpicConfigManager.a(Unknown Source)[?:?] at com.minelazz.epicworldgenerator.EpicWorldGenerator.onEnable(Unknown Source)[?:?] at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:291)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugin(CraftServer.java:361)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at org.bukkit.craftbukkit.v1_9_R1.CraftServer.enablePlugins(CraftServer.java:321)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:202)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:527)[spigot-1.9.jar:git-Spigot-3104eb1-68b7277] at java.lang.Thread.run(Thread.java:745)[?:1.8.0_74]

Write tip

You have a different solution? A short tip here would help you and many other users who saw this issue last week.

Users with the same issue

We couldn't find other users who have seen this exception.